#include <usart.h>
#define OSCILLATEUR_INTERNE

void Init_UART1(void)
{
// voir para 18.5 spec sheet DS41159B page 186
Open1USART( USART_TX_INT_OFF &
USART_RX_INT_ON &
USART_ASYNCH_MODE &
USART_EIGHT_BIT &
USART_CONT_RX &
#ifdef OSCILLATEUR_INTERNE
 // USART_BRGH_HIGH,6 );    // 1MHZ  
 // USART_BRGH_HIGH,13 );   // 4Mhz 19200 a 6% erreur
 // USART_BRGH_HIGH,25);    // 8MHZ 
USART_BRGH_HIGH,51 );       // 16MHz interne BRG16=0  19200bds sans PLL
 // USART_BRGH_HIGH,208);   // 16MHzxPLL soit 64Mhz  interne BRG16=0  19200bds
 //USART_BRGH_HIGH,130 );   // Q=10Mhzx 4(PLL)=40Mhz  19200bds
#else
  USART_BRGH_HIGH,32 );     // Q=10Mhz 19200bds
 // USART_BRGH_HIGH,65);    // Q=20Mhz  19200bds
 // USART_BRGH_HIGH,130 );  // Q=10Mhzx 4(PLL)=40Mhz  19200bds
#endif
}

void Put_RS( unsigned char  untel)
{
   	while(Busy1USART());
   	Write1USART(untel);
}

void PutStr_RS( unsigned char *s)
{
	int n;
	for (n = 0; *s; n++, s++)
	{
       	Put_RS(*s);
     	}
}

void PutStrR_RS(const rom unsigned char *s)
{
int n;
	for (n = 0; *s;n++ , s++)
	{
       	Put_RS(*s);
   	}
}

void PutR_RS( const rom unsigned char * untel)
{
   	while(Busy1USART());
   	Write1USART(untel);
}

void CRLF()
{
    	PutStrR_RS((const rom unsigned char *)"\r\n");
}
    	

void Tempo(long L)
{
    while (L-->0);
}    
